Bug 586583 - PackageKit loops trying to perform a failing update
PackageKit loops trying to perform a failing update
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 18:14 EDT by Alexander Boström
Modified: 2010-06-04 21:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 21:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Boström 2010-04-27 18:14:26 EDT
Description of problem:

When yum updates fails because an update's %preinstall script fails, then if PackageKit is set to install updates automatically, it will go into a loop and repeatedly try to perform this failing update.

Expected results:
Not sure, but maybe a delay should be added when yum fails. (Increase the delay for each iteration.)

Version-Release number of selected component (if applicable):
PackageKit-0.6.3-1.fc13.x86_64

Steps to Reproduce:
1. Make available to yum a broken update package which fails in %preinstall
2. Set PackageKit to auto-update.
Comment 1 Richard Hughes 2010-04-28 04:13:49 EDT
It's currently set to retrying after one hour. Are you seeing shorter delays than this?
Comment 2 Alexander Boström 2010-04-28 04:39:19 EDT
Yes, the on-screen notifications occurred so frequently that there was often two of them visible simultaneously. (But wouldn't the transaction start after the countdown in the notification bubble? Not sure what's going on...)
Comment 3 Richard Hughes 2010-04-28 04:51:30 EDT
Could you please do:

killall gpk-update-icon
gpk-update-icon --verbose

And attach the log to this bug showing the looping. Thanks.
Comment 4 Steven M. Parrish 2010-06-04 21:13:31 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.